Page MenuHomePhabricator

Use Sentry in production
Open, LowPublic

Description

Noticing, tracking and debugging errors should be easy. A Wikimedia developers and users should be able to easily notice new errors (possibly only a subset of them that they are interested in), find out details, and share with others. At the same time security and privacy standards should be enforced.

https://getsentry.com/

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenTgr
OpenTgr
ResolvedTgr
Resolvedcsteipp
ResolvedTgr
ResolvedTgr
ResolvedAklapper
ResolvedTgr
ResolvedTgr
OpenNone
ResolvedTgr
DeclinedTgr
DeclinedTgr
StalledTgr
ResolvedTgr
StalledTgr
ResolvedTgr
OpenTgr
ResolvedKrinkle
DeclinedNone
OpenTgr
ResolvedTgr
OpenTgr
OpenNone
InvalidNone
StalledTgr
ResolvedTgr
OpenNone
OpenNone
DeclinedNone
ResolvedTgr
OpenNone
Resolvedjcrespo
OpenTgr
OpenNone
OpenNone
OpenNone
Resolved Jdlrobson
Resolved Jdlrobson
Resolved Jdlrobson
ResolvedNone
Resolvednray
Resolved Jdlrobson

Event Timeline

Tgr created this task.Jul 24 2015, 11:35 PM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Low.
Tgr added projects: Sentry, Epic.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 11:35 PM
Tgr moved this task from Goals to Epics on the Sentry board.Jul 24 2015, 11:39 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJun 28 2016, 5:07 PM
Peter added a subscriber: Peter.Jun 30 2016, 11:43 AM
Ltrlg added a subscriber: Ltrlg.Jul 3 2016, 9:12 AM
Jdlrobson added a subscriber: Jdlrobson.

Would be great to get buy in from the frontend standards group to move this along!

Volker_E updated the task description. (Show Details)Jul 13 2016, 6:33 PM

Being bold and adding the Developer-Wishlist tag.

If I understand correctly what this technology does, deploying it will help me a lot, both as a developer of Gadgets and as a developer of MediaWiki features and extensions that are deployed on a lot of sites and clash with local gadgets much more frequently than anybody would like to.

Unfortunately this is probably a bit beyond the scope of what "will take a developer in their volunteer time a few days, or up to a month". For one thing, it would require dedicated hardware. T91649: Deploy Sentry (JavaScript error logging) to production, configured to log only a limited subset of users/pages or something along those lines (maybe limited to logged-in users instead of limited to a single page) might be more realistic.

Qgil added a subscriber: Qgil.Feb 3 2017, 3:58 PM

For what is worth, I believe that the Developer-Wishlist (2017) can be used to grasp the level of interest of an idea. We told ourselves that we would allow some experimentation.

The title for the survey could be "Agree on a plan to use Sentry in production". The possible plans agreed could be many, included "Not in the next 18 months", but at least there would be a discussion in the good direction.

Tgr added a comment.Feb 3 2017, 6:32 PM

This can be descoped and still be meaningful. I think I'll replace it with something like "log Javascript errors for logged-in users on medium and small wikis" (huge wikis usually have better mechanisms to notice bugs anyway).

This proposal is selected for the Developer-Wishlist voting round and will be added to a MediaWiki page very soon. To the subscribers, or proposer of this task: please help modify the task description: add a brief summary (10-12 lines) of the problem that this proposal raises, topics discussed in the comments, and a proposed solution (if there is any yet). Remember to add a header with a title "Description," to your content. Please do so before February 5th, 12:00 pm UTC.